anatoly techtonik ( wrote:
> Is there a Roadmap of the current problems with GTK3?

The main problem is, that Gimp has a library used by 3rd party plugins
which provides some GTK+2-Widgets for plugin-ui. Switching to GTK+3
would make these libraries ABI-incompatible with older
libgimpwidgets-versions. And since we promise ABI-stability for the Gimp
2.x series this makes it impossible to switch to GTK+3 without switching
to a new major (i.e. 3.x) version.

But since we're not ready for a 3.x release (feature-wise) we're between
a rock and a hard place here. It is a PITA, but well. Happens.


gimp-user-list mailing list
List address:
List membership:
List archives:

Reply via email to